Extension Updates

Podcast Manager 2.2 Released

Podcast Manager 2.2 Beta has been released today and is now available for download.  This is the first stable release of the Podcast Manager 2.2 series.  This release supports Joomla! 2.5.6 and later, including all Joomla! 3 releases.

Changes since 2.1

Since the release of Podcast Manager 2.1, numerous bug fixes and improvements have been made to the extension suite, including:

  • New Features
    • Support for Joomla's Content Versioning feature (Joomla! 3.2 and later)
    • Added three new translations
    • Added an internal migrator to validate Joomla! 2.5 to Joomla! 3 migrations
    • Improved ordering control for the RSS and HTML feed listings
  • Bug Fixes
    • RSS feed would not list more items than site default
    • Miscellaneous layout issues in Joomla! 3
    • The atom:link URL in the RSS feed was not an absolute URL previously
  • Miscellaneous Changes
    • Third party libraries updated to latest versions
    • Podcast edit form does not automatically parse media files now
    • Internal fixes for the File Manager

Supports Joomla! 2.5.6 and newer

This release of Podcast Manager is available for Joomla! 2.5.6 and newer, including all Joomla! 3 releases.  Earlier versions of Joomla!, including earlier releases in the 2.5 series, are not supported due to the use of new API features and security vulnerabilities affecting early 2.5 releases.

Upgrade from Previous Releases

Users of Podcast Manager who are running Joomla! 2.5.6 or later will be able to upgrade immediately using either the Live Update button within the backend control panel or using Joomla's built in update system.

Need Additional Support?

Documentation about Podcast Manager is available on this site in the Podcast Manager section.  This area includes information about the suite, a description of the various configuration options, a method to subscribe for e-mail updates, and tutorials on various functions.  If you don't see something here that you think would be beneficial for all users, feel free to Contact Me with your suggestion.

Future Development

As previously noted, the 2.2 release is the last minor release series in which Joomla! 2.5 and earlier Joomla! 3.x releases will be supported. Code cleanup has begun for a Podcast Manager 3.0 release which presently only supports Joomla! 3.4 and will require PHP 5.4 or later. Development activity can be followed at GitHub.

Support the Project

You can contribute to the project by visiting the space on GitHub at https://github.com/BabDev/Podcast-Manager and report bugs, provide patches for known issues, suggest new improvements, or download a working copy of the Git repository.  As well, translations are being accepted for Podcast Manager.  As part of the Open Translators initiative, Podcast Manager is listed on Transifex to accept community translations.

Suite Download

Download the newest posted release from the Latest Releases listing. Don't see this specific release listed? Check the Archived Releases listing for all of the installation packages that are available.